<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Intrări în tabela '.$_GET['tabela'].', coloana '.$_GET['coloana'].', membru '.nume($la,1);
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
$back[2]='<a href="/admin-intrari-in-baza-de-date-membru/la/'.$la.'-'.seo(nume($la,1)).'">Intrări în baza de date membru '.nume($la).'</a>';
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
echo$div[4].'Intrări în tabela '.$_GET['tabela'].', coloana '.$_GET['coloana'].', membru '.nume($la).$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM'.$_GET['tabela'].'WHERE'.$_GET['coloana'].'="'.$la.'"')->fetch_row()[0];
if($elemente>0)
{
$coloane=$conn->query('SHOW COLUMNS FROM'.$_GET['tabela']);
while($coloana=$coloane->fetch_row())
{
$coloanele[]=$coloana[0];
}
$x2='/la/'.$la.'-'.seo(nume($la,1)).'?tabela='.$_GET['tabela'].'&amp;coloana='.$_GET['coloana'];
$v_de=0;
$v_la=0;
$v_data=0;
$v_nume=0;
$v_text=0;
$v_valoare=0;
$var1='';
if(in_array('de',$coloanele))
{
$v_de=1;
$var1.=',`de`';
}
if(in_array('la',$coloanele))
{
$v_la=1;
$var1.=',`la`';
}
if(in_array('data',$coloanele))
{
$v_data=1;
$var1.=',`data`';
}
if(in_array('nume',$coloanele))
{
$v_nume=1;
$var1.=',`nume`';
}
if(in_array('text',$coloanele))
{
$v_text=1;
$var1.=',`text`';
}
if(in_array('valoare',$coloanele))
{
$v_valoare=1;
$var1.=',`valoare`';
}
if($v_de>0||$v_la>0)
require_once'f_profil.php';
if($v_data>0)
require'f_data.php';
if($v_text>0)
require'f_filtru.php';
require'f_paginare1.php';
$items=$conn->query('SELECT`id`'.$var1.'FROM'.$_GET['tabela'].'WHERE'.$_GET['coloana'].'="'.$la.'"ORDER BY`id`DESC LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_assoc())
{
echo$div[1];
if($v_de>0)
echo profil($item['de']);
if($v_la>0)
echo'<br />'.profil($item['la']);
if($v_data>0)
echo'<br /><small>Data: '.data($item['data']).'</small>';
if($v_nume>0)
echo'<br />'.htmlspecialchars($item['nume']);
if($v_text>0)
echo'<br />'.filtru($item['text']);
if($v_valoare>0)
echo'<br />'.$item['valoare'];
if($_GET['tabela']=='forum_topicuri')
echo'<br /><a href="/forum/topic/'.$item[0].'-'.seo($item['nume']).'">accesează topic</a>';
echo$div[0];
}
require'f_paginare2.php';
echo$div[1].'Intrări totale: <strong>'.$elemente.'</strong>'.$div[0].$div[1].'<a href="/admin-actiuni-membru-tabela-coloana'.$x2.'">'.img('administrare.png',1).'Actiuni membru '.nume($la).', tabela '.$_GET['tabela'].', coloana '.$_GET['coloana'].'</a>'.$div[0].$div[1].'<a href="/admin-cauta-in-tabela-coloana?tabela='.$_GET['tabela'].'&amp;coloana='.$_GET['coloana'].'&amp;go='.$la.'&amp;sor=2">'.img('search.png',2).'Afișează toate coloanele pentru membru '.nume($la).', tabela '.$_GET['tabela'].', coloana '.$_GET['coloana'].'</a>'.$div[0];
}
else
echo$div[7].'Nu sunt intrări în tabela '.$_GET['tabela'].', coloana '.$_GET['coloana'].', pentru membrul '.nume($la).'!'.$div[0];
require'f_jos.php';